# eric6.Helpviewer.WebPlugins.ClickToFlash.ClickToFlashPlugin

Module implementing the Flash blocker plug-in.

### Global Attributes

None

### Classes

ClickToFlashPlugin | Class implementing the flash blocker plug-in.

### Functions

None

## ClickToFlashPlugin

Class implementing the flash blocker plug-in.

### Derived from

WebPluginInterface

### Class Attributes

ClickToFlashData

### Class Methods

getIconName | Class method to get the icon name for the mime type.

### Methods

ClickToFlashPlugin | Constructor
__enabled | Private method to check, if the plug-in is enabled.
__load | Private method to load the configuration.
__save | Private method to save the configuration.
addToWhitelist | Public method to add a host to the whitelist.
configure | Public method to configure the plug-in.
create | Public method to create a plug-in instance for the given data.
isAnonymous | Public method to indicate an anonymous plug-in.
metaPlugin | Public method to create a meta plug-in object containing plug-in info.
onWhitelist | Public method to check, if a host is on the whitelist.
removeFromWhitelist | Public method to remove a host from the whitelist.

### Static Methods

None

#### ClickToFlashPlugin.getIconName (class method)

getIconName(mimeType)

Class method to get the icon name for the mime type.

mimeType
  mime type to get the icon for (string)

Returns:
  name of the icon file (string)

#### ClickToFlashPlugin (Constructor)

ClickToFlashPlugin()

Constructor

#### ClickToFlashPlugin.__enabled

__enabled()

Private method to check, if the plug-in is enabled.

Returns:
  enabled status (boolean)

#### ClickToFlashPlugin.__load

__load()

Private method to load the configuration.

#### ClickToFlashPlugin.__save

__save()

Private method to save the configuration.

#### ClickToFlashPlugin.addToWhitelist

addToWhitelist(host)

Public method to add a host to the whitelist.

host
  host to be added (string)

#### ClickToFlashPlugin.configure

configure()

Public method to configure the plug-in.

#### ClickToFlashPlugin.create

create(mimeType, url, argumentNames, argumentValues)

Public method to create a plug-in instance for the given data.

mimeType
  MIME type for the plug-in (string)
url
  URL for the plug-in (QUrl)
argumentNames
  list of argument names (list of strings)
argumentValues
  list of argument values (list of strings)

Returns:
  reference to the created object (QWidget)

#### ClickToFlashPlugin.isAnonymous

isAnonymous()

Public method to indicate an anonymous plug-in.

Returns:
  flag indicating anonymous state (boolean)

#### ClickToFlashPlugin.metaPlugin

metaPlugin()

Public method to create a meta plug-in object containing plug-in info.

Returns:
  meta plug-in object (QWebPluginFactory.Plugin)

#### ClickToFlashPlugin.onWhitelist

onWhitelist(host)

Public method to check, if a host is on the whitelist.

host
  host to check for (string)

Returns:
  flag indicating presence in the whitelist (boolean)

#### ClickToFlashPlugin.removeFromWhitelist

removeFromWhitelist(host)

Public method to remove a host from the whitelist.

host
  host to be removed (string)

Up